' First, create some data for table
' You can retrieve it from database or from file

Dim titles(4)
titles(1) = "Name"
titles(2) = "Age"
titles(3) = "Sex"
titles(4) = "Roll"

Dim lines(1, 4)
lines(1, 1) = "Rajib"
lines(1, 2) = "26"
lines(1, 3) = "Male"
lines(1, 4) = "27"

' Second, draw table and data
Set PDF	= CreateObject("PDFCreatorPilot3.PDFDocument3")
PDF.StartEngine "demo@demo", "demo"

PDF.Filename = "TabularData.pdf"
PDF.DocumentInfo_Title = "Tabular Data (PDF Creator Pilot Demo)"
PDF.Compression = 1 ' 1 = ctFlate
PDF.AutoLaunch = true

PDF.BeginDoc

PDF.PDFPAGE_SetActiveFont "Helvetica", false, false, false, false, 20, 1
PDF.PDFPAGE_TextOut 230, 50, 0, "Sample table"

rowHeight = 40
columnCount = 4
rowCount = 1
columnWidth = 50
indent = 5

PDF.PDFPAGE_SetRGBColorStroke 0, 0, 0
PDF.PDFPAGE_SetLineWidth(0.2) 
PDF.PDFPAGE_SetActiveFont "Helvetica", false, false, false, false, 14, 1

for i = 1 to columnCount
	for j = 1 to rowCount + 1
		if (j = 1) then
			PDF.PDFPAGE_SetRGBColorFill 0, 1, 0
		else
			PDF.PDFPAGE_SetRGBColorFill 1, 1, 1
		end if
		
		leftX = 190 + (i - 1) * columnWidth
		topY = 100 + (j - 1) * rowHeight
		rightX = 190 + i * columnWidth
		bottomY = 100 + j * rowHeight
		
		PDF.PDFPAGE_Rectangle leftX, topY, rightX, bottomY
		PDF.PDFPAGE_FillAndStroke
		
		PDF.PDFPAGE_SetRGBColorFill 0, 0, 0
		
		if (j = 1) then
			PDF.PDFPAGE_TextOutBox2 leftX + indent, topY, columnWidth - indent, rowHeight, 0, 1, titles(i)
		else
			PDF.PDFPAGE_TextOutBox2 leftX + indent, topY, columnWidth - indent, rowHeight, 0, 1, lines(j - 1, i)
		end if
	next
next

PDF.EndDoc
Set PDF = Nothing
